package com.ubowireless.collector.quartzone;

import org.apache.log4j.Logger;




/**
 * 
 * Simple Route.  Quartz Timer that simply kicks off the original Sung Kim Guardian Angel
 * This was needed as I could not find a way to run the Guardian Angel via a timer
 * without a route
 * 
 * $Id: GuardianAngelRoute.java 102775 2010-05-28 00:26:24Z cbonner $
 *
 */

import org.apache.camel.builder.RouteBuilder;

/**
 *
 */
public class QuartzOneRoute extends RouteBuilder {

   private static final Logger m_log = Logger.getLogger(QuartzOneRoute.class);

    public void configure() {

        /* 

         <c:schedule>
            <c:seconds>0</c:seconds>
            <c:minutes>5,10,15,20,........35,50</c:minutes>
            <c:hours>*</c:hours>
            <c:daysOfWeek>*</c:daysOfWeek>
            <c:daysOfMonth>*</c:daysOfMonth>
            <c:months>*</c:months>
            <c:years>*</c:years>
         </c:schedule>
         */
        //String quartz = "quartz://quartzonetimer/?cron=0+5%2C10%2C15%2C20%2C25%2C30%2C35%2C40%2C45%2C50%2C55+*+*+*+%3F+";
        //String quartz = "quartz://collector/quartzonetimer/?cron=0+5%2C7%2C10%2C12%2C15%2C17%2C20%2C22%2C25%2C27%2C30%2C32%2C35%2C37%2C40%2C42%2C45%2C47%2C50%2C52%2C55%2C57+*+*+*+%3F+";
        //String quartz = "quartz://collector/quartzonetimer/?cron=0+*+*+*+*+%3F+";
        String quartz = "quartz://quartzonetimer/?cron=0+*+*+*+*+%3F+";
        m_log.info("Configuring quartz to : " + quartz); 
        from(quartz)
         .to("bean:quartzOneService");
    }
}

