package com.ubowireless.collector.quartztwo;

import org.apache.log4j.Logger;




/**
 * 
 * Simple Route.  Quartz Timer that simply kicks off the original Sung Kim Guardian Angel
 * This was needed as I could not find a way to run the Guardian Angel via a timer
 * without a route
 * 
 * $Id: GuardianAngelRoute.java 102775 2010-05-28 00:26:24Z cbonner $
 *
 */

import org.apache.camel.builder.RouteBuilder;

/**
 *
 */
public class QuartzTwoRoute extends RouteBuilder {

   private static final Logger m_log = Logger.getLogger(QuartzTwoRoute.class);

    public void configure() {

        /* 

         <c:schedule>
            <c:seconds>0</c:seconds>
            <c:minutes>7,12,...</c:minutes>
            <c:hours>*</c:hours>
            <c:daysOfWeek>*</c:daysOfWeek>
            <c:daysOfMonth>*</c:daysOfMonth>
            <c:months>*</c:months>
            <c:years>*</c:years>
         </c:schedule>
         */
        //String quartz = "quartz://quartztwotimer/?cron=0+7%2C12%2C17%2C22%2C27%2C32%2C37%2C42%2C47%2C52%2C57+*+*+*+%3F+";
        //String quartz = "quartz://collector/quartztwotimer/?cron=0+7%2C12%2C17%2C22%2C27%2C32%2C37%2C42%2C47%2C52%2C57+*+*+*+%3F+";
        String quartz = "quartz://quartztwotimer/?cron=0+*+*+*+*+%3F+";
        m_log.info("Configuring quartz to : " + quartz); 
        from(quartz)
         .to("bean:quartzTwoService");
    }
}

